Package org.apache.storm.container.cgroup.core

## Class CpuCore

- java.lang.Object
- - org.apache.storm.container.cgroup.core.CpuCore

- All Implemented Interfaces:
    `CgroupCore`

      public class CpuCore
      extends Object
      implements CgroupCore

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CpuCore.Stat` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `CPU_CFS_PERIOD_US` |
    `static String` | `CPU_CFS_QUOTA_US` |
    `static String` | `CPU_RT_PERIOD_US` |
    `static String` | `CPU_RT_RUNTIME_US` |
    `static String` | `CPU_SHARES` |
    `static String` | `CPU_STAT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CpuCore​(String dir)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Long` | `getCpuCfsPeriodUs()` |
    `Long` | `getCpuCfsQuotaUs()` |
    `Long` | `getCpuRtPeriodUs()` |
    `long` | `getCpuRtRuntimeUs()` |
    `int` | `getCpuShares()` |
    `CpuCore.Stat` | `getCpuStat()` |
    `SubSystemType` | `getType()` |
    `void` | `setCpuCfsPeriodUs​(long us)` |
    `void` | `setCpuCfsQuotaUs​(long us)` |
    `void` | `setCpuRtPeriodUs​(long us)` |
    `void` | `setCpuRtRuntimeUs​(long us)` |
    `void` | `setCpuShares​(int weight)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CPU_SHARES

          public static final String CPU_SHARES

      See Also:
        Constant Field Values

    - #### CPU_RT_RUNTIME_US

          public static final String CPU_RT_RUNTIME_US

      See Also:
        Constant Field Values

    - #### CPU_RT_PERIOD_US

          public static final String CPU_RT_PERIOD_US

      See Also:
        Constant Field Values

    - #### CPU_CFS_PERIOD_US

          public static final String CPU_CFS_PERIOD_US

      See Also:
        Constant Field Values

    - #### CPU_CFS_QUOTA_US

          public static final String CPU_CFS_QUOTA_US

      See Also:
        Constant Field Values

    - #### CPU_STAT

          public static final String CPU_STAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CpuCore

          public CpuCore​(String dir)

  - ### Method Detail

    - #### getType

          public SubSystemType getType()

      Specified by:
        `getType` in interface `CgroupCore`

    - #### getCpuShares

          public int getCpuShares()
                           throws IOException

      Throws:
        `IOException`

    - #### setCpuShares

          public void setCpuShares​(int weight)
                            throws IOException

      Throws:
        `IOException`

    - #### getCpuRtRuntimeUs

          public long getCpuRtRuntimeUs()
                                 throws IOException

      Throws:
        `IOException`

    - #### setCpuRtRuntimeUs

          public void setCpuRtRuntimeUs​(long us)
                                 throws IOException

      Throws:
        `IOException`

    - #### getCpuRtPeriodUs

          public Long getCpuRtPeriodUs()
                                throws IOException

      Throws:
        `IOException`

    - #### setCpuRtPeriodUs

          public void setCpuRtPeriodUs​(long us)
                                throws IOException

      Throws:
        `IOException`

    - #### getCpuCfsPeriodUs

          public Long getCpuCfsPeriodUs()
                                 throws IOException

      Throws:
        `IOException`

    - #### setCpuCfsPeriodUs

          public void setCpuCfsPeriodUs​(long us)
                                 throws IOException

      Throws:
        `IOException`

    - #### getCpuCfsQuotaUs

          public Long getCpuCfsQuotaUs()
                                throws IOException

      Throws:
        `IOException`

    - #### setCpuCfsQuotaUs

          public void setCpuCfsQuotaUs​(long us)
                                throws IOException

      Throws:
        `IOException`

    - #### getCpuStat

          public CpuCore.Stat getCpuStat()
                                  throws IOException

      Throws:
        `IOException`